
$(document).ready(function() {
    $('#pageTab').tab();
    initializateSelectC();
    loadDataTest();
});

function initializateSelectC() {
    $('#productId').searchbox({
        type: "product",
        name: "productCode",
        onChange: function (value, data) {
        }
    });
}

function loadDataTest() {
    console.log("loadData")
    var params = new URLSearchParams(document.location.search);
    var paramsData = JSON.parse(params.get("data"));
    Public.ajax(web_app.name + "/product/loadProductDetail.ajax", {
        productId: paramsData.productId
    }, function (data) {
        debugger;
        $('#submitForm').formSet(data);
        var fronData = {};
        fronData.Rows = data.fronColor;
        faceGrid("#frontFaceDiv", fronData);
        fronData.Rows = data.backColor;
        faceGrid("#backFaceDiv", fronData);

        // var selectedCategory = data.selectedCategory;
        // $("#selectedCategory").ligerComboBox({
        //     textField: 'productCategoryName',
        //     valueField: 'productCategoryId',
        //     columns: [
        //         { header: 'ID', name: 'productCategoryId', width: 20 },
        //         { header: '名字', name: 'productCategoryName' }
        //     ],
        //     data: selectedCategory,
        //     selectBoxWidth: 200
        // });
    });
}

function faceGrid(elId, data) {
    var toolbarOptions = UICtrl.getDefaultToolbarOptions({
        updateHandler: function(){
            updateHandler();
        }
    });
    gridManager =  UICtrl.grid(elId, {
        columns: [
            { display: "颜色名称", name: "productFaceColorId", width: 140, minWidth: 60, type: "string", align: "left" },
            { display: "油墨覆盖率(%)", name: "coverageRate", width: 120, minWidth: 60, type: "string", align: "left" }
        ],
        toolbar: toolbarOptions,
        dataAction: "local",
        dataType: "local",
        data: data, // data 数据结构 data: ("Rows": [ {}, {} ])
        checkbox: true,
        usePager: true,
        pageSize: 20,
        width: "100%",
        height: 420,
        enabledSort: false,
        autoAddRowByKeydown:false,
        heightDiff: -10,
        fixedCellHeight: true,
        selectRowButtonOnly: true,
        onDblClickRow : function(data, rowindex, rowobj) {
            updateHandler(data);
        }
    });
}